Name:          utils-misc
Version:       2.1.0
Release:       1%{?dist}
Summary:       Miscellaneous utilities used by other projects
License:       ASL 2.0
URL:           https://github.com/pongasoft/utils-misc/
Source0:       https://github.com/pongasoft/utils-misc/archive/v%{version}.tar.gz
# Originally taken from
#http://jcenter.bintray.com/org/pongasoft/org.linkedin.util-core/2.1.0/org.linkedin.util-core-2.1.0.pom
#http://jcenter.bintray.com/org/pongasoft/org.linkedin.util-groovy/2.1.0/:org.linkedin.util-groovy-2.1.0.pom
# added compiler-plugin for configure source/target 1.7
Source1:       org.linkedin.util-core-template.pom
# added antrun-plugin for configure groovy ant task
Source2:       org.linkedin.util-groovy-template.pom

BuildRequires: maven-local
BuildRequires: mvn(antlr:antlr)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(commons-cli:commons-cli)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.ant:ant)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.codehaus.groovy:groovy-all)
# json:20140107 >> android-json-org-java
BuildRequires: mvn(org.json:json)
BuildRequires: mvn(org.ow2.asm:asm-all)
BuildRequires: mvn(org.slf4j:jul-to-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(org.slf4j:slf4j-nop)

BuildArch:     noarch

%description
The project represents a set of miscellaneous utility classes that
are used by other open source projects.

Originally known as linkedin-utils.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find -name '*.class' -delete
find -name '*.jar' -delete

# This is a dummy POM added just to ease building in the RPM platforms
cat > pom.xml << EOF
<?xml version="1.0" encoding="UTF-8"?>
<project
  xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <modelVersion>4.0.0</modelVersion>
  <groupId>org.pongasoft</groupId>
  <artifactId>org.linkedin.project</artifactId>
  <packaging>pom</packaging>
  <version>%{version}</version>

  <modules>
    <module>org.linkedin.util-core</module>
    <module>org.linkedin.util-groovy</module>
  </modules>

</project>
EOF

cp %{SOURCE1} org.linkedin.util-core/pom.xml
cp %{SOURCE2} org.linkedin.util-groovy/pom.xml
sed -i "s|@VERSION@|%{version}|" org.linkedin.util-*/pom.xml

%mvn_alias :org.linkedin.util-core org.linkedin:
%mvn_alias :org.linkedin.util-groovy org.linkedin:

%mvn_file :org.linkedin.util-core %{name}-core
%mvn_file :org.linkedin.util-groovy %{name}-groovy

%mvn_package :org.linkedin.project __noinstall

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md RELEASE.md
%license LICENSE.txt NOTICE.txt 

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt 

%changelog
* Fri Nov 20 2015 gil cattaneo <puntogil@libero.it> 2.1.0-1
- update to 2.1.0

* Fri Feb 20 2015 gil cattaneo <puntogil@libero.it> 2.0.3-1
- initial rpm
